com.google.cloud.dataflow.sdk.options

## Interface CloudDebuggerOptions

All Known Subinterfaces:
  BlockingDataflowPipelineOptions, DataflowPipelineOptions, DataflowWorkerHarnessOptions, TestDataflowPipelineOptions

    @Experimental
     @Hidden
    public interface CloudDebuggerOptions

Options for controlling Cloud Debugger.

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.api.services.clouddebugger.v2.model.Debuggee` `getDebuggee()` The Cloud Debugger debuggee to associate with.
`boolean` `getEnableCloudDebugger()` Whether to enable the Cloud Debugger snapshot agent for the current job.
`double` `getMaxConditionCost()` The maximum cost (as a ratio of CPU time) allowed for evaluating conditional snapshots.
`void` `setDebuggee(com.google.api.services.clouddebugger.v2.model.Debuggee debuggee)`
`void` `setEnableCloudDebugger(boolean enabled)`
`void` `setMaxConditionCost(double maxConditionCost)`

### Method Detail

#### getEnableCloudDebugger

    boolean getEnableCloudDebugger()

Whether to enable the Cloud Debugger snapshot agent for the current job.

#### setEnableCloudDebugger

    void setEnableCloudDebugger(boolean enabled)

#### getDebuggee

    @Hidden
     @Nullable
    com.google.api.services.clouddebugger.v2.model.Debuggee getDebuggee()

The Cloud Debugger debuggee to associate with. This should not be set directly.

#### setDebuggee

    void setDebuggee(com.google.api.services.clouddebugger.v2.model.Debuggee debuggee)

#### getMaxConditionCost

    @Default.Double(value=0.01)
    double getMaxConditionCost()

The maximum cost (as a ratio of CPU time) allowed for evaluating conditional snapshots.

#### setMaxConditionCost

    void setMaxConditionCost(double maxConditionCost)